Status Lists

Create an unencrypted StatusList2021 or BitstringStatusList credential status list.

post
/credential-status/create/unencrypted

This endpoint creates an unencrypted StatusList2021 or BitstringStatusList credential status list. The StatusList is published as a DID-Linked Resource on ledger. As input, it can can take input parameters needed to create the status list via a form, or a pre-assembled status list in JSON format. Status lists can be created as either encrypted or unencrypted.

Authorizations
x-api-keystringRequired
Query parameters
listTypestring · enumRequired

The type of Status List.

Possible values:
statusPurposeone ofRequired

The purpose of the status list.

  • For StatusList2021: Single value (revocation or suspension)
  • For BitstringStatusList: Can accept multiple values as array of strings

Once this is set, it cannot be changed. A new status list must be created to change the purpose.

Example: {"summary":"Single purpose (StatusList2021)","value":"revocation"}
string · enumOptionalPossible values:
or
Body
didstring · uriRequired

DID of the StatusList2021 or BitstringStatusList publisher.

statusListNamestringRequired

The name of the StatusList2021 or BitstringStatusList DID-Linked Resource to be created.

lengthintegerOptional

The length of the status list to be created. The default and minimum length is 131072 which is 16kb.

Default: 131072
encodingstring · enumOptional

The encoding format of the StatusList2021 or BitstringStatusList (only base64url supported) DiD-Linked Resource to be created.

Default: base64urlPossible values:
statusListVersionstringOptional

Optional field to assign a human-readable version in the StatusList2021 or BitstringStatusList DID-Linked Resource.

statusSizeinteger · min: 1Optional

Only for BitstringStatusList: bits per credential, used to support multiple status in same list.

credentialCategorystring · enumOptional

Category of credentials this status list is for.

Possible values:
ttlinteger · min: 1000Optional

Only for BitstringStatusList: Time to Live in Miliseconds (not expiry).

Responses
chevron-right
200

The request was successful.

application/json
createdbooleanOptionalExample: true
resourceMetadataobjectOptionalExample: {"resourceURI":"did:cheqd:testnet:7c2b990c-3d05-4ebf-91af-f4f4d0091d2e/resources/5945233a-a4b5-422b-b893-eaed5cedd2dc","resourceCollectionId":"7c2b990c-3d05-4ebf-91af-f4f4d0091d2e","resourceId":"5945233a-a4b5-422b-b893-eaed5cedd2dc","resourceName":"cheqd-employee-credentials","resourceType":"StatusList2021Revocation","mediaType":"application/json","resourceVersion":"1.0.0","created":"2023-06-26T11:45:20Z","checksum":"909e22e371a41afbb96c330a97752cf7c8856088f1f937f87decbef06cbe9ca2","previousVersionId":null,"nextVersionId":null}
post
/credential-status/create/unencrypted

Create an encrypted StatusList2021 or BitstringStatusList credential status list.

post
/credential-status/create/encrypted

This endpoint creates an encrypted StatusList2021 or BitstringStatusList credential status list. The StatusList is published as a DID-Linked Resource on ledger. As input, it can can take input parameters needed to create the status list via a form, or a pre-assembled status list in JSON format. Status lists can be created as either encrypted or unencrypted.

Authorizations
x-api-keystringRequired
Query parameters
listTypestring · enumRequired

The type of Status List.

Possible values:
statusPurposeone ofRequired

The purpose of the status list.

  • For StatusList2021: Single value (revocation or suspension)
  • For BitstringStatusList: Can accept multiple values as array of strings

Once this is set, it cannot be changed. A new status list must be created to change the purpose.

Example: {"summary":"Single purpose (StatusList2021)","value":"revocation"}
string · enumOptionalPossible values:
or
Body
didstring · uriRequired

DID of the StatusList2021 or BitstringStatusList publisher.

statusListNamestringRequired

The name of the StatusList2021 or BitstringStatusList DID-Linked Resource to be created.

lengthintegerOptional

The length of the status list to be created. The default and minimum length is 131072 which is 16kb.

Default: 131072
encodingstring · enumOptional

The encoding format of the StatusList2021 or BitstringStatusList (only base64url supported) DiD-Linked Resource to be created.

Default: base64urlPossible values:
statusListVersionstringOptional

Optional field to assign a human-readable version in the StatusList2021 or BitstringStatusList DID-Linked Resource.

statusSizeinteger · min: 1Optional

Only for BitstringStatusList: bits per credential, used to support multiple status in same list.

credentialCategorystring · enumOptional

Category of credentials this status list is for.

Possible values:
ttlinteger · min: 1000Optional

Only for BitstringStatusList: Time to Live in Miliseconds (not expiry).

feePaymentAddressstringRequired

The cheqd/Cosmos payment address where payments to unlock the encrypted StatusList2021 or BitstringStatusList DID-Linked Resource need to be sent.

Example: cheqd1qs0nhyk868c246defezhz5eymlt0dmajna2csg
feePaymentAmountnumberRequired

Amount in CHEQ tokens to unlock the encrypted StatusList2021 or BitstringStatusList DID-Linked Resource.

Default: 20
feePaymentWindownumberRequired

Time window (in minutes) within which the payment to unlock the encrypted StatusList2021 or BitstringStatusList DID-Linked Resource is considered valid.

Default: 10
Responses
chevron-right
200

The request was successful.

application/json
createdbooleanOptionalExample: true
post
/credential-status/create/encrypted

Update an existing unencrypted StatusList2021 or BitstringStatusList credential status list.

post
/credential-status/update/unencrypted
Authorizations
x-api-keystringRequired
Query parameters
listTypestring · enumRequired

The type of Status List.

Possible values:
statusActionstringRequired

The update action to be performed on the unencrypted status list, can be revoke, suspend, reinstate or custom states

Body
didstring · uriRequired

DID of the StatusList2021 publisher.

statusListNamestringRequired

The name of the StatusList2021 DID-Linked Resource to be updated.

indicesinteger[]Required

List of credential status indices to be updated. The indices must be in the range of the status list.

statusListVersionstringOptional

Optional field to assign a human-readable version in the StatusList2021 DID-Linked Resource.

Responses
chevron-right
200

The request was successful.

application/json
and
anyOptional
or
or
and
post
/credential-status/update/unencrypted

Update an existing encrypted StatusList2021 or BitstringStatusList credential status list.

post
/credential-status/update/encrypted
Authorizations
x-api-keystringRequired
Query parameters
listTypestring · enumRequired

The type of Status List.

Possible values:
statusActionstringRequired

The update action to be performed on the encrypted status list, can be revoke, suspend or reinstate

Body
didstring · uriRequired

DID of the StatusList2021 publisher.

statusListNamestringRequired

The name of the StatusList2021 DID-Linked Resource to be updated.

indicesinteger[]Required

List of credential status indices to be updated. The indices must be in the range of the status list.

statusListVersionstringOptional

Optional field to assign a human-readable version in the StatusList2021 DID-Linked Resource.

symmetricKeystringRequired

The symmetric key used to encrypt the StatusList2021 DID-Linked Resource.

feePaymentAddressstringOptional

The cheqd/Cosmos payment address where payments to unlock the encrypted StatusList2021 or BitstringStatusList DID-Linked Resource need to be sent.

Example: cheqd1qs0nhyk868c246defezhz5eymlt0dmajna2csg
feePaymentAmountnumberOptional

Amount in CHEQ tokens to unlock the encrypted StatusList2021 or BitstringStatusList DID-Linked Resource.

Default: 20
feePaymentWindownumberOptional

Time window (in minutes) within which the payment to unlock the encrypted StatusList2021 or BitstringStatusList DID-Linked Resource is considered valid.

Default: 10
Responses
chevron-right
200

The request was successful.

application/json
and
anyOptional
or
or
and
post
/credential-status/update/encrypted

Check a StatusList2021 or BitstringStatusList index for a given Verifiable Credential.

post
/credential-status/check

This endpoint checks a StatusList2021 or BitstringStatusList index for a given Verifiable Credential and reports whether it is revoked or suspended. It offers a standalone method for checking an index without passing the entire Verifiable Credential or Verifiable Presentation.

Authorizations
x-api-keystringRequired
Query parameters
listTypestring · enumRequired

The type of Status List.

Possible values:
statusPurposestring · enumRequired

The purpose of the status list. Can be either revocation or suspension.

Possible values:
Body
didstring · uriRequired

DID of the StatusList2021 publisher.

statusListNamestringRequired

The name of the StatusList2021 DID-Linked Resource to be checked.

indexintegerOptional

Credential status index to be checked for revocation or suspension.

indicesinteger[]Optional

List of credential status indices to be checked for revocation or suspension.

indexRangeStartintegerOptional

Start of the credential status index range to be checked for revocation or suspension.

indexRangeEndintegerOptional

End of the credential status index range to be checked for revocation or suspension.

statusListCredentialstringOptional

Optional Resolvable DID URL of the BitstringStatusList credential to be checked.

statusSizenumberOptional

Optional size of the BitstringStatusList.

Default: 2
statusMessagearrayOptional

Array of status messages for each bit in the BitstringStatusList.

makeFeePaymentbooleanOptional

Automatically make fee payment (if required) based on payment conditions to unlock encrypted StatusList2021 or BitstringStatusList DID-Linked Resource.

Default: true
Responses
chevron-right
200

The request was successful.

application/json
or
post
/credential-status/check
get
/credential-status/search
Authorizations
x-api-keystringRequired
Query parameters
didstringRequired

The DID of the issuer of the status list.

listTypestring · enumRequired

The type of Status List.

Possible values:
statusPurposestring · enumRequired

The purpose of the status list. Can be either revocation or suspension.

Possible values:
statusListNamestringRequired

The name of the Status List DID-Linked Resource.

Responses
chevron-right
200

The request was successful.

application/json
and
anyOptional
or
get
/credential-status/search

List StatusList2021 or BitstringStatusList DID-Linked Resources created by the customer.

get
/credential-status/list
Authorizations
x-api-keystringRequired
Query parameters
didstringOptional

The DID of the issuer of the status list.

listTypestring · enumOptional

The type of Status List.

Possible values:
statusListNamestringOptional

The name of the Status List DID-Linked Resource.

statestring · enumOptional

The state of the Status List DID-Linked Resource.

Possible values:
credentialCategorystring · enumOptional

Filter status lists by credential category assigned for.

Possible values:
deprecatedbooleanOptional

Filter status lists by deprecated status.

Responses
chevron-right
200

The request was successful.

application/json
totalnumberOptional
get
/credential-status/list

Fetch StatusList2021 or BitstringStatusList DID-Linked Resource based on search criteria.

get
/credential-status/list/{statusListId}
Authorizations
x-api-keystringRequired
Path parameters
statusListIdstringRequired

The statusListId of the status list.

Responses
chevron-right
200

The request was successful.

application/json
statusListIdstringOptional

Unique identifier for the status registry

statusListNamestringOptional

Name of the status list resource

uristringOptional

DID URL of the status list resource

issuerIdstring · uriOptional

DID of the issuer

previousUristring · nullableOptional

Link to previous registry in the chain (for FULL registries)

nextUristring · nullableOptional

Link to next registry in the chain (STANDBY registry)

listTypestringOptional

Type of status list (StatusList2021Revocation, StatusList2021Suspension, BitstringStatusListCredential)

storageTypestring · enumOptional

Storage provider for the status list

Possible values:
encryptedbooleanOptional

Whether the status list is encrypted

credentialCategorystring · enumOptional

Category of credentials this status list is for

Possible values:
sizeintegerOptional

Maximum capacity of the status list (total number of indices)

writeCursorintegerOptional

Current write cursor position (last assigned index)

statestring · enumOptional

Current state of the registry

Possible values:
createdAtstring · date-timeOptional

Timestamp when the registry was created

updatedAtstring · date-timeOptional

Timestamp when the registry was last updated

sealedAtstring · date-time · nullableOptional

Timestamp when the registry was sealed (marked as FULL)

statusPurposeone ofOptional

Status purpose or list of status purposes

stringOptional
or
string[]Optional
deprecatedbooleanOptional

Whether the registry is deprecated

get
/credential-status/list/{statusListId}

Last updated

Was this helpful?